"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function respondWithCtx(ctx) {
    return ({ statusCode, headers, data }) => {
        ctx.statusCode = statusCode;
        for (const key in headers) {
            if (!Object.prototype.hasOwnProperty.call(headers, key))
                continue;
            ctx.set(key, headers[key]);
        }
        ctx.body = data;
        return {
            statusCode, headers, data
        };
    };
}
exports.respondWithCtx = respondWithCtx;
function nextTick() {
    return new Promise((resolve) => {
        process.nextTick(resolve);
    });
}
exports.nextTick = nextTick;
function timeOutResponse(reason) {
    return {
        statusCode: 408,
        statusMessage: 'Request Timeout',
        headers: [],
        data: reason || 'Request Timeout'
    };
}
exports.timeOutResponse = timeOutResponse;
